/*
**	Apple Macintosh Developer Technical Support
**
**	Defines needed to make a fat 'thng' resource.
**
**	by Mark Cookson, Apple Developer Technical Support
**
**	File:	VU-Meter.r
**
**	Copyright 1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "Apple Sample
**	Code" after having made changes. If you're going to re-distribute the
**	source, we require that you make it clear in the source that the code
**	was descended from Apple Sample Code, but that you've made changes.
*/

#define UseExtendedThingResource	1				// we want the extended thng resource
#define FATCOMPONENT				1

#include "Types.r"
#include "SysTypes.r"

#include "VU-Meter.h"


#define kManufacturerType		0					// manufacturer

#define VUMeterID				911					// resource ID for VU Meter


#define kSoundComponentType		'sift'				/*component type*/
#define kSoundComponentPPCType	'nift'				/*component type for PowerPC code*/
#define kSoundEffectsType		'snfx'


#define kVUMeterFlags			(cmpWantsRegisterMessage)


// VU Meter, 68K, PPC

resource 'thng' (VUMeterID, "VU-Meter") {
	kSoundEffectsType,														// type
	kVUSelectorSubType,														// subtype
	kManufacturerType,														// manufacture
	kVUMeterFlags,															// flags
	kAnyComponentFlagsMask,													// flags mask
#if FATCOMPONENT
	kSoundComponentType,													// code type
	VUMeterID,																// code ID
#else
	0,																		// no 68K code
	0,
#endif
	'STR ',																	// name type
	VUMeterID,																// name ID
	'STR ',																	// info type
	VUMeterID+1,															// info ID
	'ICON',																	// icon type
	VUMeterID,																// icon ID
	kSoundComponentVersion,													// version
	componentDoAutoVersion | componentHasMultiplePlatforms,					// registration flags
	0,																		// icon family resource ID
	{
#if FATCOMPONENT
		kVUMeterFlags,														// flags
		kSoundComponentType,												// code type
		VUMeterID,															// code ID
		platform68k,														// platform
#endif
		kVUMeterFlags,														// flags
		kSoundComponentPPCType,												// code type
		VUMeterID,															// code ID
		platformPowerPC														// platform
	};
};

resource 'ICON' (VUMeterID, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0044 8800"
	$"0044 8800 0028 8800 0028 8800 0010 8800"
	$"0010 7000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 22F7 DEF0 3681 1088"
	$"2A81 1088 22E1 1CF0 2281 1090 2281 1088"
	$"22F1 1E88"
};

resource 'STR ' (VUMeterID, purgeable) {
	"VU-Meter"
};

resource 'STR ' (VUMeterID+1, purgeable) {
	"A pre-mixer component for monitoring the sound output channel"
};

resource 'vers' (1) {
	0x0,
	0x50,
	development,
	0x1,
	verUS,
	"VU-Meter 0.5",
	"VU-Meter 0.5\n 1994-1996 Apple Computer, Inc."
};

