#------------------------------------------------------------------------------
# Apple Macintosh Developer Technical Support
#
# MultiFinder-Aware SoundApp Application
#
# SoundApp
#
# SoundApp.make	-	Make Source
#
# Copyright  1989-1990 Apple Computer, Inc.
# All rights reserved.
#
#Versions:
#		1.03				January, 1990
#		1.04				Sept, 1990
#		1.2					August, 1994		translated to C
#
#Components:
#		SoundApp.c			January, 1990		MPW C source code
#		SoundUnit.c			January, 1990		MPW C source code
#		SoundUnit.h			January, 1990		MPW C source code
#		SoundApp.r			January, 1990		MPW Rez source code
#		SoundAppSnds.r		January, 1990		MPW Rez source code
#		SoundApp.make		January, 1990		MPW build script
#
#Formatting was done with FONT = Courier or Monaco, SIZE = 10, TABS = 4
#
# SoundApp is a sample application source code for demonstrating
# the Sound Manager.  It requires the use of the SoundUnit to handle
# all of the sound routines.  This portion of the source code handles the
# applications management of memory, errors, user interface, etc..
#
# Jim Reekes E.O., Macintosh Developer Technical Support
# Sunday, August 7, 1994 7:06:41 PM
#
#------------------------------------------------------------------------------

COptions		= -d SystemSevenOrLater=1 -r -opt full -sym off
RezOptions		= -d SystemSevenOrLater=1 -append
LinkOptions		= -sym off

#------------------------------------------------------------------------------
# These are the objects that we want to link with. If any one of these
# changes, then we invoke the Link command.
#------------------------------------------------------------------------------

SoundAppObs		=	SoundUnit.c.o				
					SoundApp.c.o 				
					"{Libraries}"Interface.o	
					"{Libraries}"Runtime.o		
					"{Libraries}"ToolLibs.o		
					"{CLibraries}"CSANELib.o

#------------------------------------------------------------------------------
# Dependencies for the individual components. These will invoke the
# default build rules listed in Chapter 9 of the MPW 3.0 manual.
#------------------------------------------------------------------------------

SoundApp.c.o			SoundApp.c				
						SoundUnit.h				
						SoundApp.make

SoundUnit.c.o			SoundUnit.c				
						SoundUnit.h				
						SoundApp.make

#------------------------------------------------------------------------------
# Build rule that links our application together. If any of our objects
# changes, or this makefile changes, then we relink.
#------------------------------------------------------------------------------

SoundApp				{SoundAppObs}			
						SoundApp.make
	Link {LinkOptions} -o {Targ} {SoundAppObs}
	SetFile {Targ} -t APPL -c 'SAPP' -a B

#------------------------------------------------------------------------------
# Build rule that creates our resources and adds them to the application
#------------------------------------------------------------------------------

SoundApp				SoundAppSnds.r			
						SoundApp.make
	Rez {RezOptions} -o {Targ} SoundAppSnds.r

SoundApp				SoundApp.r				
						SoundApp.make
	Rez {RezOptions} -o {Targ} SoundApp.r
